Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 03-07-2017 13:43:47

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

smolski a écrit :

Mets les sources squeeze alors, c'est le même principe et surveille les dépendances en choisissant d'installer avec simulation (option -s) par sécurité.



ici après avoir modifié le sources.list en remplaçant jessie par squeeze, et mis à jour le fichier preferences, puis un update :

$ sudo apt-get -s install -t squeeze kompozer
Lecture des listes de paquets... Fait
E: La valeur « squeeze » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
 

Dernière modification par jeanmarc1 (03-07-2017 13:44:59)


"Being is not doing"

Hors ligne

#27 03-07-2017 15:22:09

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [RESOLU] kompozer dans stretch

D'un autre côté elle ne doit plus être maintenue cette version, elle a encore des dépôts disponibles ?

Hors ligne

#28 03-07-2017 18:33:47

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

chalu a écrit :

D'un autre côté elle ne doit plus être maintenue cette version, elle a encore des dépôts disponibles ?



en effet, elle n'est plus maintenue. mais il n'y a guère d'équivalent. je suis en train de regarder les versions payantes de pinegrow et bluegriffon, qui ont tous deux des versions linux.


"Being is not doing"

Hors ligne

#29 03-07-2017 18:52:20

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [RESOLU] kompozer dans stretch

kompozer sert à quoi en vrai ?
bluefish ne pourrait le remplacer ?

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#30 03-07-2017 19:00:06

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

smolski a écrit :

kompozer sert à quoi en vrai ?
bluefish ne pourrait le remplacer ?



on peut probablement tout faire avec bluefish. mais quand on vient d'un usage de nombreuses années d'éditeurs web wysiwyg (namo windows, puis kompozer), c'est difficile de s'y mettre. et j'ai quotidiennement des pages web à mettre à jour. pour l'instant, ce n'est pas du tout à ma portée d'utiliser bluefish. je ne manie pas son usage et ses commandes.


"Being is not doing"

Hors ligne

#31 03-07-2017 19:02:47

hybridemoineau
Membre
Inscription : 21-02-2016

Re : [RESOLU] kompozer dans stretch

Le logiciel qui remplace kompozer, c'est Bluegriffon, qui n'est pas dans les dépôts, mais dont il existe un paquet deb pour ubuntu (lien vers le 64 bits). C'est Daniel Glazman qui en est l'auteur, il était l'auteur de kompozer, c'est donc de confiance - ça marche très bien chez moi (sous Jessie puis Stretch). N'est pas dans les dépôts, car il existe des modules payants, et j'imagine que Glazman désire qu'on les croise à défaut de les acheter, ce que la présence de Blugriffon dans les dépôts contrib aurait empêché.

http://bluegriffon.org/

http://bluegriffon.org/freshmeat/2.3.1/ … _amd64.deb

Du coup, faire

dpkg -i bluegriffon_2.3.1-1ubuntu1_amd64.deb



en se plaçant dans le dossier où se trouve le paquet, et ça devrait rouler

Dernière modification par hybridemoineau (03-07-2017 19:04:52)

Hors ligne

#32 03-07-2017 19:02:47

lagrenouille
Adhérent(e)
Lieu : dans mes rêves
Distrib. : jessie/stretch
Noyau : linux-4.9.0-2-amd64
(G)UI : env- i3-weechat-w3m-clavier bépo
Inscription : 28-03-2012
Site Web

Re : [RESOLU] kompozer dans stretch

ama
je crois que tu n'as pas trop le choix, va falloir changer de logiciel big_smile

L'opinion que l'on suppose d'un être n'est souvent que le miroir de notre propre ignorance à la limiter

Hors ligne

#33 03-07-2017 19:19:35

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

hybridemoineau a écrit :

Le logiciel qui remplace kompozer, c'est Bluegriffon, qui n'est pas dans les dépôts, mais dont il existe un paquet deb pour ubuntu (lien vers le 64 bits). C'est Daniel Glazman qui en est l'auteur, il était l'auteur de kompozer, c'est donc de confiance - ça marche très bien chez moi (sous Jessie puis Stretch). N'est pas dans les dépôts, car il existe des modules payants, et j'imagine que Glazman désire qu'on les croise à défaut de les acheter, ce que la présence de Blugriffon dans les dépôts contrib aurait empêché.
http://bluegriffon.org/
http://bluegriffon.org/freshmeat/2.3.1/ … _amd64.deb
Du coup, faire

dpkg -i bluegriffon_2.3.1-1ubuntu1_amd64.deb


en se plaçant dans le dossier où se trouve le paquet, et ça devrait rouler



j'ai déjà installé bluegriffon sans problème. par contre, des fonctions élémentaires ne sont pas présentes dans la version gratuite, comme de changer la couleur des polices... il semble que ce ne soit possible que dans la version payante. c'est donc très limitatif.


"Being is not doing"

Hors ligne

#34 03-07-2017 19:20:18

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

lagrenouille a écrit :

ama
je crois que tu n'as pas trop le choix, va falloir changer de logiciel big_smile



probable oui, sauf si j'utilise un windows dans lequel kompozer marche bien... un peu dommage. je continue à explorer.


"Being is not doing"

Hors ligne

#35 03-07-2017 19:36:46

hybridemoineau
Membre
Inscription : 21-02-2016

Re : [RESOLU] kompozer dans stretch

jeanmarc1 a écrit :

j'ai déjà installé bluegriffon sans problème. par contre, des fonctions élémentaires ne sont pas présentes dans la version gratuite, comme de changer la couleur des polices... il semble que ce ne soit possible que dans la version payante. c'est donc très limitatif.



Une solution très simple ici, je viens de l'appliquer:

http://bricabracinfo.fr/BlueGriffon/bg_ … _texte.php

Je ne sais pas si c'est pour faire payer ou produire un code plus propre qu'il faut passer par les styles css désormais, mais je n'ai pas trouvé d'extensions "color" ou "couleur" dans le gestionnaire d'extension

Hors ligne

#36 03-07-2017 21:49:19

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [RESOLU] kompozer dans stretch

Peut être lié à des normes de publications web ?

Hors ligne

#37 04-07-2017 05:34:48

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

hybridemoineau a écrit :

jeanmarc1 a écrit :

j'ai déjà installé bluegriffon sans problème. par contre, des fonctions élémentaires ne sont pas présentes dans la version gratuite, comme de changer la couleur des polices... il semble que ce ne soit possible que dans la version payante. c'est donc très limitatif.


Une solution très simple ici, je viens de l'appliquer:
http://bricabracinfo.fr/BlueGriffon/bg_ … _texte.php
Je ne sais pas si c'est pour faire payer ou produire un code plus propre qu'il faut passer par les styles css désormais, mais je n'ai pas trouvé d'extensions "color" ou "couleur" dans le gestionnaire d'extension



p. 33 de ce didacticiel, on trouve aussi la même méthode pour colorier le texte via le paneau css. et en effet, cela fonctionne aussi dans la version gratuite.

Dernière modification par jeanmarc1 (04-07-2017 05:35:58)


"Being is not doing"

Hors ligne

#38 04-07-2017 06:11:01

jeanmarc1
Adhérent(e)
Lieu : Vence (06)
Distrib. : Stretch en dual-boot sur portables Dell
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate
Inscription : 09-09-2012
Site Web

Re : [RESOLU] kompozer dans stretch

ok, je crois que je vais définitivement adopter bluegriffon, qui a une interface moderne et doit faire son travail au moins aussi bien que kompozer. bien qu'on n'ait pas trouvé la solution pour installer kompozer dans stretch, je mets "résolu". merci encore à vous tous pour votre aide et soutien.

"Being is not doing"

Hors ligne

Pied de page des forums